<!DOCTYPE html>
<html lang="en">
<head>
    <title>Document</title>
    <style>
        .container{
            display: grid;
            grid-template-columns: 100px 100px 100px 100px ;
            grid-template-rows: 100px 100px 100px;
            gap: 10px;
        }
        .item{
            border: 1px solid pink;
            background-color: pink;
            
        }
        .item1{
            grid-row: 1/4;
        }
        .item2{
            grid-column: 2/4;
        }
        .item6{
            grid-row: 2/4;
            grid-column: 4/5;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="item item1">1</div>
        <div class="item item2">2</div>
        <div class="item item3">3</div>
        <div class="item item4">4</div>
        <div class="item item5">5</div>
        <div class="item item6">6</div>
        <div class="item item7">7</div>
        <div class="item item8">8</div>
        
    </div>
</div>